datablock DecalData(MedalServerName)
{
	textureName = "./medal.png";
};
datablock DecalData(ManPlayerCount)
{
	textureName = "./man.png";
};
datablock DecalData(LegoBrickCount)
{
	textureName = "./lego.png";
};
datablock DecalData(ClockServerHostLocalTime)
{
	textureName = "./clock.png";
};
datablock DecalData(CogAnnouncerUpdate)
{
	textureName = "./cog.png";
};
datablock DecalData(WarningAnnouncerUpdateWarning)
{
	textureName = "./warning.png";
};
datablock DecalData(GlobeClockServerPing)
{
	textureName = "./ping.png";
};
datablock AudioProfile(AnnouncerUpdateSound)
{
	filename = "./plink.wav";
	description = AudioClosest3d;
	is3D = true;
	preload = true;
};
datablock AudioProfile(AnnounceSound)
{
	filename = "./bleep.wav";
	description = AudioClosest3d;
	is3D = true;
	preload = true;
};
datablock AudioProfile(AnnouncerWarningSound)
{
	filename = "./pakbeep.wav";
	description = AudioClosest3d;
	is3D = true;
	preload = true;
};

$buildSIA = 155;
$versionSIA = "5-v18/19_bugfix";
$SIASaveLocation = "config/server/SIAsettings/";
$fontv = "Palatino Linotype";
$announcefont = "Palatino Linotype";
$bold = 0;
$line1c = "FFEE00";
$line2c = "3399FF";
$line3c = "00CC00";
$line4c = "FF1111";
$line5c = "cc00cc";
$tz = "Not Defined";
$tsec = 0;
$tmin = 0;
$thr = 0;
$tday = 0;
$SIAison = 1;




function StartServerTimerSIA()
{
cancel($ServTimerDelay);
$tsec = $tsec + 1;
if($tsec == 60)
	{
	$tmin = $tmin + 1;
	$tsec = 0;
	}
if($tmin == 60)
	{
	$thr = $thr + 1;
	$tmin = 0;
	}
if($thr == 24)
	{
	$tday = $tday + 1;
	$thr = 0;
	}
$ServTimerDelay = schedule(1000, 0, "StartServerTimerSIA");
cancel($ServTimerDelay);
$ServTimerDelay = schedule(1000, 0, "StartServerTimerSIA");
}

StartServerTimerSIA();

function getHostsNameAnnouncer()
{
$hostsname = $pref::Player::NetName;
}

getHostsNameAnnouncer();


function servercmdSetAnnounceFont(%client,%afont)
{
if(%client.isHost)
	{
	switch(%afont)
	{
	case 0:
		$fontv = "Palatino Linotype";
		$announcefont = "Palatino Linotype";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "<color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
	case 1:
		$fontv = "Arial";
		$announcefont = "Arial";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 2:
		$fontv = "Tahoma";
		$announcefont = "Tahoma";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 3:
		$fontv = "Comic Sans MS";
		$announcefont = "Comic Sans MS";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 4:
		$fontv = "Courier New";
		$announcefont = "Courier New";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 5:
		$fontv = "Impact";
		$announcefont = "Impact";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 6:
		$fontv = "Lucida Sans";
		$announcefont = "Lucida Sans";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 7:
		$fontv = "Microsoft Sans Serif";
		$announcefont = "Microsoft Sans Serif";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 8:
		$fontv = "Trebuchet MS";
		$announcefont = "Trebuchet MS";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 9:
		$fontv = "Arial Narrow";
		$announcefont = "Arial Narrow";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 10:
		$fontv = "Times New Roman";
		$announcefont = "Times New Roman";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 11:
		$fontv = "Franklin Gothic Medium";
		$announcefont = "Franklin Gothic Medium";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 12:
		$fontv = "Verdana";
		$announcefont = "Verdana";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 13:
		$fontv = "Arial Black";
		$announcefont = "Arial Black";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 14:
		$fontv = "Symbol";
		$announcefont = "Symbol";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 15:
		$fontv = "Copperplate Gothic Bold";
		$announcefont = "Copperplate Gothic Bold";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 16:
		$fontv = "Batang";
		$announcefont = "Batang";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 17:
		$fontv = "Dotum";
		$announcefont = "Dotum";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 18:
		$fontv = "Georgia";
		$announcefont = "Georgia";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 19:
		$fontv = "Papyrus";
		$announcefont = "Papyrus";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case 20:
		$fontv = "Viner Hand ITC";
		$announcefont = "Viner Hand ITC";
		if($bold == 1)
			{
			$announcefont = $announcefont SPC "Bold";
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/warning.png> <color:fff200>Server Info Announcer: <color:ffffff>This font does not have Bold support in Blockland. You will see Arial fonts becuase of this.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
				%cl = ClientGroup.getObject(%i);
				%cl.play2D(AnnouncerWarningSound);
			}
			}
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	}
	}
}

function servercmdSetAnnounceFontBold(%client,%ynbold)
{
if(%client.isHost)
	{
	switch$(%ynbold)
	{
	case "no":
		$bold = 0;
		$announcefont = $fontv;
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	case "yes":
		$bold = 1;
		$announcefont = $announcefont SPC "Bold";
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer font was changed to " @ $announcefont @ " by the host.");
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
		}
	}
	}
}
	
function servercmdSetTimeZone(%client,%tz)
{
if(%client.isHost)
	{
	$tz = %tz;
	messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The host's timezone was changed to " @ %tz @ " by the host.");
	for(%i = 0; %i < ClientGroup.getCount(); %i++)
	{
		%cl = ClientGroup.getObject(%i);
		%cl.play2D(AnnouncerUpdateSound);
	}
	}
}

function servercmdSetAnnounceTime(%client,%time)
{
if(%client.isHost)
	{
	cancel($AnnounceTimer);
	if(%time < 4999)
		{
		%time = 5000;
		}
	$delay = %time;
	DoAnAnnounce();
	messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer delay has been changed to " @ %time/1000 @ " seconds by the host.");
	for(%i = 0; %i < ClientGroup.getCount(); %i++)
	{
		%cl = ClientGroup.getObject(%i);
		%cl.play2D(AnnouncerUpdateSound);
	}
	}
}

function servercmdSIAhelp(%client)
{
messageClient(%client,"","<color:ff00ff>------ SERVER INFO ANNOUNCER [VERSION 6-D1] HELP ------");
messageClient(%client,"","<color:" @ $line1c @ ">" @ $line1c @ " <color:ffffff>is the Host's name and the server's name. [TheBlackParrot's whatever]");
messageClient(%client,"","<color:" @ $line2c @ ">" @ $line2c @ " <color:ffffff>is the player count.");
messageClient(%client,"","<color:" @ $line3c @ ">" @ $line3c @ " <color:ffffff>is the brickcount.");
messageClient(%client,"","<color:" @ $line4c @ ">" @ $line4c @ " <color:ffffff>is the server duration.");
messageClient(%client,"","<color:" @ $line5c @ ">" @ $line5c @ " <color:ffffff>is the your ping, or delay.");
messageClient(%client,"","<color:ffffff>YOU MAY NEED TO (by default) PAGE UP TO SEE ALL OF THIS.");
if(%client.isAdmin)
	{
	messageClient(%client,"","<color:ffffff>/SIAping [playername] will get the ping of the wanted player. [Admin only]");
	}
if(%client.isHost)
	{
	messageClient(%client,"","--- COMMANDS [Host-only] ---");
	messageClient(%client,"","<color:ffffff>/setannouncetime [number > 5000] sets the delay of the info being announced. (Delays are JUST like events, except you can go above 30000.)");
	messageClient(%client,"","<color:ffffff>/settimezone [text with no spaces here] sets the timezone shown to the right of the clock.");
	messageClient(%client,"","<color:ffffff>/setannouncefont [number 1 - 16] sets the font of the announcer.");
	messageClient(%client,"","<color:ffffff>/setannouncefontbold [0 = not bold, 1 = bold] sets the announcer font to be bold or not bold.");
	messageClient(%client,"","<color:ffffff>/setannouncecolors [line 1, line 2, line 3, line 4, line 5. all must be hex.] changes the colors of the announcer.");
	messageClient(%client,"","<color:ffffff>/setannouncedefaults sets the announcer font and color defaults.");
	messageClient(%client,"","<color:ffffff>/loadSIAsettings loads color, font, and delay settings.");
	messageClient(%client,"","<color:ffffff>/saveSIAsettings saves color, font, and delay settings..");
	messageClient(%client,"","<color:ffffff>YOU MAY NEED TO (by default) PAGE UP TO SEE ALL OF THIS.");
	}
}

function servercmdSIAversion(%client)
{
messageClient(%client,"","v" @ $versionSIA @ " [build " @ $buildSIA @ "]");
}

function servercmdSIAping(%client,%target)
{
if(%client.isAdmin)
	{
	messageClient(%client,"","<color:00ff00>Server Info Announcer: <color:ffffff>BLID " @ findclientbyname(%target).name @ "'s ping is " @ findclientbyname(%target).getPing() @ ".");
	}
}

function DoAnAnnounce(%client)
{
if($Server::Dedicated == 1)
	{
	$ded = " [Dedicated]";
	}
if($Server::Dedicated == 0)
	{
	$ded = "";
	}
$update += 1;
$percentage = $Server::PlayerCount/$Pref::Server::MaxPlayers*100;
if($SIAison == 1)
{
	for(%i = 0; %i < ClientGroup.getCount(); %i++)
	{
		if(isFile("./man.png") == 1)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.perce = %cl.brickGroup.getCount()/$Server::BrickCount*100;
			%cl.perce = mFloatLength(%cl.perce,1);
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line1c @ "><bitmap:add-ons/script_announcebrickcount/medal.png> " @ $hostsname @ "'s " @ $Pref::Server::Name @ $ded @ " on " @ $server::missionname);
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line2c @ "><bitmap:add-ons/script_announcebrickcount/man.png> " @ $Server::PlayerCount @ "/" @ $Pref::Server::MaxPlayers @ " players. [" @ $percentage @ "% full]");
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line3c @ "><bitmap:add-ons/script_announcebrickcount/lego.png> " @ $Server::BrickCount @ "/" @ $Pref::Server::BrickLimit @ " bricks, " @ %cl.brickGroup.getCount() @ " [" @ %cl.perce @ "%] of which are yours.");
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line4c @ "><bitmap:add-ons/script_announcebrickcount/clock.png> " @ $tday @ "d " @ $thr @ "h " @ $tmin @ "m " @ $tsec @ "s");
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line5c @ "><bitmap:add-ons/script_announcebrickcount/ping.png> " @ %cl.getping() @ " [ping]<just:left>");
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnounceSound);
		}
		if(isFile("./man.png") == 0)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.perce = %cl.brickGroup.getCount()/$Server::BrickCount*100;
			%cl.perce = mFloatLength(%cl.perce,1);
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line1c @ ">>> " @ $hostsname @ "'s " @ $Pref::Server::Name @ $ded @ " on " @ $server::missionname);
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line2c @ ">>> " @ $Server::PlayerCount @ "/" @ $Pref::Server::MaxPlayers @ " players. [" @ $percentage @ "% full]");
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line3c @ ">>> " @ $Server::BrickCount @ "/" @ $Pref::Server::BrickLimit @ " bricks, " @ %cl.brickGroup.getCount() @ "[" @ %cl.perce @ "%] of which are yours.");
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line4c @ ">>> " @ $tday @ "d " @ $thr @ "h " @ $tmin @ "m " @ $tsec @ "s");
			messageClient(%cl,"","   <font:" @ $announcefont @ ":17><color:" @ $line5c @ ">>> " @ %cl.getping() @ " [ping]<just:left>");
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnounceSound);
		}
	}
}
$AnnounceTimer = schedule($delay, 0, "DoAnAnnounce");
cancel($AnnounceTimer);
$AnnounceTimer = schedule($delay, 0, "DoAnAnnounce");
}

function servercmdSetAnnounceColors(%client, %titleofserver, %players, %bricks, %clock, %ping)
{
if(%client.isHost)
	{
	$line1c = %titleofserver;
	$line2c = %players;
	$line3c = %bricks;
	$line4c = %clock;
	$line5c = %ping;
	messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer colors have been changed to: " @ $line1c @ ", " @ $line2c @ ", " @ $line3c @ ", " @ $line4c @ " and " @ $line5c @ ".");
	for(%i = 0; %i < ClientGroup.getCount(); %i++)
	{
		%cl = ClientGroup.getObject(%i);
		%cl.play2D(AnnouncerUpdateSound);
	}
	}
}

function servercmdSetAnnounceDefaults(%client)
{
if(%client.isHost)
	{
	$announcefont = "Palatino Linotype";
	$bold = 0;
	$line1c = "FFEE00";
	$line2c = "3399FF";
	$line3c = "00CC00";
	$line4c = "FF1111";
	$line5c = "cc00cc";
	messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer colors and fonts have been changed to the defaults.");
	for(%i = 0; %i < ClientGroup.getCount(); %i++)
	{
		%cl = ClientGroup.getObject(%i);
		%cl.play2D(AnnouncerUpdateSound);
	}
	}
}

function servercmdToggleSIA(%client)
{
if(%client.isHost)
{
	if($SIAison == 1 && $toggled == 0)
	{
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer has been turned off.");
		$SIAison = 0;
		$toggled = 1;
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
		%cl = ClientGroup.getObject(%i);
		%cl.play2D(AnnouncerUpdateSound);
		}
	}
	if($SIAison == 0 && $toggled == 0)
	{
		messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer has been turned on.");
		$SIAison = 1;
		$toggled = 1;
		for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
		%cl = ClientGroup.getObject(%i);
		%cl.play2D(AnnouncerUpdateSound);
		}
	}
$toggled = 0;
}
}

//Stolen from rkynick. Credit to him for the load/save code.
function servercmdsaveSIAsettings(%client)
{
if(%client.isHost)
	{
	%file = new FileObject();
	%file.openForWrite($SIASaveLocation @ "SIAsettings.txt");
	%file.writeline("CLINE1" SPC $line1c);
	%file.writeline("CLINE2" SPC $line2c);
	%file.writeline("CLINE3" SPC $line3c);
	%file.writeline("CLINE4" SPC $line4c);
	%file.writeline("CLINE5" SPC $line5c);
	%file.writeline("FONT" SPC $announcefont);
	%file.writeline("FONTBOLD" SPC $bold);
	%file.writeline("DELAY" SPC $delay);
	%file.writeline("TIMEDATEOFSAVE" SPC getDateTime());
	messageClient(%client,"","<color:00ff00>Server Info Announcer: <color:ffffff>SIA settings were saved to config/server/SIAsettings/SIAsettings.txt at " @ getDateTime() @ ".");
	%file.close();
	%file.delete();
	}
}

function servercmdloadSIAsettings(%client)
{
if(%client.isHost)
	{
	%file = new FileObject();
	%file.openForRead($SIASaveLocation @ "SIAsettings.txt");
	while(!%file.isEOF())
	{
	%curline=%file.readline();
	switch$(firstWord(%curline))
		{
		case "CLINE1":
			$line1c=restwords(%curline);
		case "CLINE2":
			$line2c=restwords(%curline);
		case "CLINE3":
			$line3c=restwords(%curline);
		case "CLINE4":
			$line4c=restwords(%curline);
		case "CLINE5":
			$line5c=restwords(%curline);
		case "FONT":
			$announcefont=restwords(%curline);
		case "FONTBOLD":
			$bold=restwords(%curline);
		case "DELAY":
			$delay=restwords(%curline);
		case "TIMEDATEOFSAVE":
			messageAll("", "\c4<bitmap:add-ons/script_announcebrickcount/cog.png><color:00ff00> Server Info Announcer: \c6The announcer settings from " @ restwords(%curline) @ " were loaded.");
			for(%i = 0; %i < ClientGroup.getCount(); %i++)
			{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(AnnouncerUpdateSound);
			}
		}
	}
%file.close();
%file.delete();
	}
}
//End of the stealness.

package TBPAnnounceSpawnBPrint
{
	function GameConnection::onClientEnterGame(%client)
	{
	messageClient(%client,'',"\c4This server is running \c6Server Info Announcer \c7v" @ $versionSIA @ " [build " @ $buildSIA @ "] \c4by TheBlackParrot. \c4Type /SIAhelp for extra information, and /SIAversion to see the version.");
	Parent::onClientEnterGame(%client);
	}
};
activatepackage(TBPAnnounceSpawnBPrint);

package isHost
{
	function GameConnection::autoAdminCheck(%this)
	{
		%this.isHost = (%this.isLocalConnection() || %this.bl_id == getNumKeyID());
		return Parent::autoAdminCheck(%this);
	}
};
activatePackage(isHost);